//! # Admin account controller
//!
//! @author Pierre Hubert

use crate::api_data::admin::admin_auth_options::AdminAuthOptions;
use crate::data::base_request_handler::BaseRequestHandler;
use crate::data::http_request_handler::HttpRequestHandler;
use crate::helpers::admin_account_helper;
use crate::routes::RequestResult;

/// Get admin auth options
pub fn get_auth_options(r: &mut HttpRequestHandler) -> RequestResult {
    let mail = r.post_email("mail")?;
    let admin = admin_account_helper::find_admin_by_email(&mail)?;

    r.set_response(AdminAuthOptions::new(&admin))
}